Name: cockpit-files
Version: 10.23.g1a43ecf
Release: 1.20241104121312499014.pr812.23.g1a43ecf%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-10.23.g1a43ecf.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.8
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.9
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.4
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.0
Provides: bundled(npm(focus-trap)) = 7.6.0
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.2
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Mon Nov 04 2024 Packit <hello@packit.dev> - 10.23.g1a43ecf-1.20241104121312499014.pr812.23.g1a43ecf
- Support changing permissions of enclosed files or directories (Jelle van der Waa)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps): bump @patternfly/react-table in the patternfly group (dependabot[bot])
- Makefile: Update Cockpit lib to 6d478ad51585d9d7f8c4567c155bd641 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'ka' language (GitHub Workflow)
- test: drop superuser after switching (Jelle van der Waa)
- test: assert b.go() changed to /home/admin (Jelle van der Waa)
- test: wait for the create dialog to properly close (Jelle van der Waa)
- test: prefer addCleanup where possible (Jelle van der Waa)
- test: drop sudo for chattr (Jelle van der Waa)
- Show the filename in the title of the editor (Jelle van der Waa)
- build(deps-dev): bump tsx from 4.19.1 to 4.19.2 (dependabot[bot])
- build(deps): bump the patternfly group with 6 updates (dependabot[bot])
- dependabot: Fix PatternFly update-types (Martin Pitt)
- build(deps-dev): bump the eslint group with 2 updates (dependabot[bot])
- build(deps-dev): bump the types group with 2 updates (dependabot[bot])
- dependabot: Keep PatternFly at current major version (Martin Pitt)
- dependabot: Fix sass ignore syntax (Martin Pitt)
- Show SELinux security context in permissions dialog (Jelle van der Waa)
- package.json: Revert to sass 1.79 (Martin Pitt)
- Makefile: Update Cockpit lib to de08dfd13eaa115cbd6fc785faab2ae9 (Cockpit Project)
